## zh-autoconvert 0.3.4

=== Makefile ===

CC=gcc
CFLAG=-O2 -g


all:lib.o autob5 autogb hzlib 
lib.o:lib.c
	$(CC) $(CFLAG) -c lib.c  -o lib.o
#autob5:autob5.c lib.o hzlib
#	$(CC) $(CFLAG) autob5.c lib.o hzconvert/libhzconvert.a -o autob5
autob5: autogb
	rm -f autob5;ln -s autogb autob5
#autohz: autogb
#	rm -f autohz;ln -s autogb autohz
autogb:autogb.c lib.o hzlib
	$(CC) $(CFLAG) autogb.c lib.o hzconvert/libhzconvert.a -o autogb
hzlib:
	cd hzconvert;make
clean:
	rm -f autob5 autogb *.o; rm *~
	cd hzconvert;make clean
install:
	[ ! -f $(HOME)/bin ] || mkdir $(HOME)/bin
	rm -f $(HOME)/bin/autob5
	rm -f $(HOME)/bin/autogb
	cp -f autogb $(HOME)/bin
	ln -s $(HOME)/bin/autogb $(HOME)/bin/autob5
	chmod 755 $(HOME)/bin/autogb

=== hzconvert/Makefile ===
CC=gcc
CFLAGS=-O2
#OBJS=b2g.o b2u.o g2u.o hztogb.o b2g_tables.o b2u_tables.o g2u_tables.o io.o unicode.o
OBJS=b2g.o b2u.o g2u.o hz2gb.o b2g_tables.o b2u_tables.o g2u_tables.o io.o unicode.o
%.o:%c
	$(CC) $(CFLAGS) -c $<

all:libhzconvert.a
libhzconvert.a:$(OBJS)
	ar rs  libhzconvert.a $(OBJS)
clean:
	rm -f *.o *~ libhzconvert.a

## zh-autoconvert 0.3.16

=== Makefile ===

CC=gcc
CFLAG=-O2 -g -Wall -Iinclude
LIBS= -Llib -lhz

.PHONY: all hzlib clean install-home install

all: autob5 autogb hzlib  xchat-plugins

autob5: autogb
	rm -f autob5;ln -s autogb autob5
autogb:autogb.c  hzlib
	$(CC) $(CFLAG) $(LIBS) autogb.c -lhz -o autogb
autogb-static:autogb.c  hzlib
	$(CC) $(CFLAG) autogb.c lib/libhz.a -o autogb
hzlib:
	cd hzconvert;make
xchat-plugins: 
	cd contrib/xchat-plugins;make
clean:
	rm -f autob5 autogb *.o *~
	rm -f include/*~
	cd hzconvert;make clean
	cd contrib/xchat-plugins;make clean
install-home:
	[ ! -f $(HOME)/bin ] || mkdir $(HOME)/bin
	rm -f $(HOME)/bin/autob5
	rm -f $(HOME)/bin/autogb
	cp -f autogb $(HOME)/bin
	ln -s $(HOME)/bin/autogb $(HOME)/bin/autob5
	chmod 755 $(HOME)/bin/autogb 
install:
	install -m 755 autogb $(DESTDIR)/usr/bin
	install -m 755 lib/libhz.so.0.0 $(DESTDIR)/usr/lib
	cd $(DESTDIR)/usr/lib;ln -s  libhz.so.0.0 libhz.so.0
	cd $(DESTDIR)/usr/lib;ln -s  libhz.so.0 libhz.so
	install -m 755 lib/libhz.a $(DESTDIR)/usr/lib
	install -m 755 contrib/xchat-plugins/xchat-autogb.so $(DESTDIR)/usr/share/zh-autoconvert
	install -m 755 contrib/xchat-plugins/xchat-autob5.so $(DESTDIR)/usr/share/zh-autoconvert
	install -m 644 include/*.h  $(DESTDIR)/usr/include
	ln -s autogb $(DESTDIR)/usr/bin/autob5

=== hzconvert/Makefile ===
CC=gcc -I../include
CFLAGS=-O2 -Wall -g
SHARED_LIB=libhz.so
SHARED_LIB_MAJOR=$(SHARED_LIB).0
SHARED_LIB_MINOR=$(SHARED_LIB_MAJOR).0
OBJS=b2g.o b2u.o g2u.o hz2gb.o b2g_tables.o b2u_tables.o g2u_tables.o io.o unicode.o judge.o judge3.o gbpercent.o b5percent.o search.o 

%.o: %.c
	$(CC) -fPIC $(CFLAGS) -c $<

all: libhzconvert

libhzconvert: $(OBJS)
	ar rs  ../lib/libhz.a $(OBJS)
	gcc -fPIC -shared -Wl,-soname,$(SHARED_LIB_MAJOR) -o ../lib/$(SHARED_LIB_MINOR)  $(OBJS) -ldl
	rm -f ../lib/$(SHARED_LIB_MAJOR)
	rm -f ../lib/$(SHARED_LIB)
	cd ../lib;ln -s $(SHARED_LIB_MINOR) $(SHARED_LIB_MAJOR)
	cd ../lib;ln -s $(SHARED_LIB_MAJOR) $(SHARED_LIB)

clean:
	rm -f *.o *~ ../lib/lib*

=== contrib/xchat-plugins/Makefile ===
LDFLAGS = -g
CFLAGS = -Wall
CC = gcc
LIBS= -L../../lib

all:xchat-autogb.so xchat-autob5.so
xchat-autogb.so:	xchat-autogb.c
	$(CC) $(LDFLAGS) $(CFLAGS) $(LIBS) -I. -DSKIPCONFIG -fPIC -shared -Wl,-soname,xchat-autogb.so -o $@ $< -lhz -lc `gtk-config --cflags`
xchat-autob5.so:	xchat-autob5.c
	$(CC) $(LDFLAGS) $(CFLAGS) $(LIBS) -I. -DSKIPCONFIG -fPIC -shared -Wl,-soname,xchat-autob5.so -o $@ $< -lhz  -lc `gtk-config --cflags`
clean:
	rm -rf *~ xchat-autogb.so xchat-autob5.so

=== debian/changelog ===
zh-autoconvert (0.3.16-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from LI Daobing to fix FTBFS with GCC 15.
    (Closes: #1098198)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 20:35:14 +0300

zh-autoconvert (0.3.16-10) unstable; urgency=medium

  * Team upload.
  * debian/patches/0017-Make-function-definition-explicit.patch:
    Add patch to make function declarations explicit to avoid
    FTBFS. (Closes: #1066581)

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Mar 2024 12:32:32 -0400

zh-autoconvert (0.3.16-9) unstable; urgency=medium

  * Reupload to unstable

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 14 Jun 2023 12:26:43 +0800

zh-autoconvert (0.3.16-8) experimental; urgency=medium

  [ Boyuan Yang ]
  * debian/rules:
    Use /usr/share/dpkg/buildtools.mk instead of manual setup of $PKG_CONFIG

  [ xiao sheng wen ]
  * Bump Standards-Version: 4.6.2
  * d/copyright: update year info to 2023
  * Update d/patches/*.patch, update Forwarded: field from no to not-needed
  * Update d/s/lintian-overrides
  * add d/u/metadata
  * run wrap-and-sort -a -s -b -k -t

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 16 Apr 2023 10:29:58 +0800

zh-autoconvert (0.3.16-7) unstable; urgency=medium

  * d/control:
      - add Homepage:
      - Bump Standards-Version 4.5.1
      - Build-Depends delete libgtk2.0-dev
  * not compile xchat plugin (Closes: #967848)
  * update source/lintian-overrides for d/control Homepage

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 04 Feb 2021 13:40:41 +0800

zh-autoconvert (0.3.16-6) unstable; urgency=medium

  [ 肖盛文 ]
  * fix lintian: spelling-error-in-patch-description
  * d/control:
       - Bump debhelper-compat (= 13)
       - Bump Standards-Version: 4.5.0
       - add Rules-Requires-Root: no
       - add New Uploaders: xiao sheng wen <atzlinux@sina.com>
  * d/rules:
       - delete export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
       - delete dh_missing --fail-missing
  * d/copyright: add Upstream-Contact:
  * add source/lintian-overrides
  * add libhz0.symbols
  * d/watch:
       - update to version 4
       - update url
       - add @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 18 May 2020 12:26:57 +0800

zh-autoconvert (0.3.16-5) unstable; urgency=medium

  * Team upload.
  * Rebuild against gcc 8.
  * Force non-parallel build to circumvent potential FTBFS.
  * Remove Yu Guanghui from Uploaders list. (Closes: #838118).
  * Apply patch to fix cross-build FTCBFS by using triplet-prefixed
    pkg-config. (Closes: #853882).
  * Apply "wrap-and-sort -abst" to debian/ directory.
  * Bump Standards-Version to 4.2.1.
  * Bump debhelper compat to v11.
  * Modernize debian/rules file and enable full hardening.
  * Update Vcs field in debian/control file and use the repo under
    Debian Salsa chinese-team group.
  * Remove trailing spaces from debian/copyright file.
  * Explicitly remove xchat plugins in debian/rules file.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Sep 2018 21:54:59 -0400

zh-autoconvert (0.3.16-4) unstable; urgency=high

  * Set Debian Chinese Team as the new Maintainer, with
    Yu Guanghui and myself as Uploaders.  (Closes: #629015)
  * Migrate to debhelper (>= 9) to prevent FTBFS. (Closes: #800194)
  * Merge SUN Tong’s excellent contributions from
    https://github.com/suntong/zh-autoconvert-build:
     - Upgrade debian/watch to version 3.  (Closes: #529155)
     - Upgrade to machine-readable debian/copyright
  * Prevent upstream Makefile from stripping binaries.  (Closes: #438364)
  * List XChat 1.8.9 plugin header files as "GPL-2+ with OpenSSL exception"
    in debian/copyright.
  * Convert documentation and comments from GB2312 to UTF-8.
  * No longer install xchat-autogb.so and xchat-autob5.so,
    which uses the XChat 1.x Plugin Interface that became obsolete
    13 years ago.

 -- Anthony Fok <foka@debian.org>  Tue, 17 Nov 2015 16:47:26 -0700

zh-autoconvert (0.3.16-3) unstable; urgency=low

  * Depand on libgtk2.0-dev instead of libgtk1.2-dev (Closes:Bug#516056)

 -- Yu Guanghui <ygh@debian.org>  Thu, 19 Feb 2009 20:10:00 +0800

zh-autoconvert (0.3.16-2) unstable; urgency=medium

  * Move architecture-dependent files to /usr/lib. (Closes:Bug#392406)

 -- Yu Guanghui <ygh@debian.org>  Thu, 12 Oct 2006 11:33:41 +0800

zh-autoconvert (0.3.16-1) unstable; urgency=low

  * New upstream release
  * Add exit(0) (Closes:Bug#355842)
  * examples changed (Closes:Bug#334401)
  * Cleanup fixed bugs (Closes:Bug#297142)

 -- Yu Guanghui <ygh@debian.org>  Wed,  9 Aug 2006 17:34:24 +0800

zh-autoconvert (0.3.14-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch by Andreas Jochens to fix FTBFS with gcc 4.0
    (Closes: #297142)

 -- Frank Lichtenheld <djpig@debian.org>  Sat,  6 Aug 2005 02:59:50 +0200

zh-autoconvert (0.3.14-2) unstable; urgency=low

  * patch for gcc-3.4. (closes:Bug#264156)

 -- Yu Guanghui <ygh@debian.org>  Sat,  7 Aug 2004 23:20:59 +0800

zh-autoconvert (0.3.14-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Fri, 12 Dec 2003 21:15:42 +0800

zh-autoconvert (0.3.13-4) unstable; urgency=low

  * compiled with gcc-3.3. (closes:Bug#196469)

 -- Yu Guanghui <ygh@debian.org>  Sat,  7 Jun 2003 20:45:35 +0800

zh-autoconvert (0.3.13-3) unstable; urgency=low

  * Compiled the static library without  -fPIC.

 -- Yu Guanghui <ygh@debian.org>  Wed, 18 Jul 2001 01:56:14 +0800

zh-autoconvert (0.3.13-2) unstable; urgency=low

  * Fixed zh-autoconvert Depend problem.

 -- Yu Guanghui <ygh@debian.org>  Tue, 17 Jul 2001 23:28:34 +0800

zh-autoconvert (0.3.13-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Fri, 11 May 2001 21:22:39 +0800

zh-autoconvert (0.3.12-2) unstable; urgency=low

  * Change libhz0(>=$${Source-Version}) to libhz0 (>=0.3.12-2)

 -- Yu Guanghui <ygh@debian.org>  Tue,  1 May 2001 22:48:08 +0800

zh-autoconvert (0.3.12-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: zh-autoconvert
Priority: optional
Section: text
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 Anthony Fok <foka@debian.org>,
 xiao sheng wen <atzlinux@sina.com>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://code.google.com/archive/p/libhz/
Vcs-Git: https://salsa.debian.org/chinese-team/zh-autoconvert.git
Vcs-Browser: https://salsa.debian.org/chinese-team/zh-autoconvert

Package: libhz-dev
Architecture: any
Section: libdevel
Depends:
 libc6-dev | libc-dev,
 libhz0 (= ${binary:Version}),
 ${misc:Depends},
Description: Headers and static libraries for zh-autoconvert
 AutoConvert is an intelligent Chinese Encoding converter. It uses
 builtin functions to judge the type of the input file’s Chinese
 Encoding (such as GB/Big5/HZ), then converts the input file to any
 type of Chinese Encoding you want. You can use autoconvert to handle
 incoming mail, automatically converting messages to the Chinese
 Encoding you want.  It can alse handle Unicode (UTF-16)/UTF-7/UTF-8 now.
 .
 This package contains the development files (symlinks, headers, and object
 files) needed to compile and link programs which use the zh-autoconvert
 libhz library.

Package: libhz0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Chinese encoding autoconvert library
 AutoConvert is an intelligent Chinese Encoding converter. It uses
 builtin functions to judge the type of the input file’s Chinese
 Encoding (such as GB/Big5/HZ), then converts the input file to any
 type of Chinese Encoding you want. You can use autoconvert to handle
 incoming mail, automatically converting messages to the Chinese
 Encoding you want.  It can alse handle Unicode (UTF-16)/UTF-7/UTF-8 now.
 .
 This library provide the Chinese encoding judge function,
 and the HZ/GB/Big5/UTF-16/UTF-7/UTF-8 convert functions.

Package: zh-autoconvert
Architecture: any
Depends:
 libhz0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Chinese HZ/GB/BIG5/UTF-16/UTF-7/UTF-8 encodings auto-converter
 AutoConvert is an intelligent Chinese Encoding converter. It uses
 builtin functions to judge the type of the input file’s Chinese
 Encoding (such as GB/Big5/HZ), then converts the input file to any
 type of Chinese Encoding you want. You can use autoconvert to handle
 incoming mail, automatically converting messages to the Chinese
 Encoding you want.  It can alse handle Unicode (UTF-16)/UTF-7/UTF-8 now.
 .
 This package contains the binary tools autogb and autob5, as well as
 the corresponding autogb/autob5 plugins for XChat the IRC client.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

# Use a triplet-prefixed pkg-config to solve #853882
DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/buildtools.mk

%:
	dh $@ --no-parallel

=== debian/watch ===
version=4
https://code.google.com/archive/p/libhz/downloads .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

# Was
# ftp://ftp.dlut.edu.cn/pub/PEOPLE/saka/autoconvert-(.+)\.tar\.gz
